---

# The order of the main categories are defined in index.rst
# Sub categories orders are preserved
categories:
    overview_doc:
        - glossary
        - overview
    setup_doc:
        - setup
    contributing_doc:
        - contributing
        - bug-mgmt
    user_guide:
        - devtools-user
    source_doc:
        - mots
        - browser
        - dom
        - editor
        - layout
        - gfx
        - ipc
        - devtools
        - toolkit
        - js
        - jsloader
        - mobile/android/geckoview
        - mobile/android/fenix
        - mobile/android/focus-android
        - dom/bindings/webidl
        - modules/libpref
        - networking
        - remote
        - services
        - permissions
        - uriloader
        - widget/cocoa
        - widget/windows
        - toolkit/components/ml
        - accessible
        - media
        - code-quality
        - writing-rust-code
        - rust-components
        - tools/profiler
        - performance
        - storage
        - xpcom
        - nspr
        - security/nss
        - content-security
    build_doc:
        - mach
        - tools/try
        - build/buildsystem
        - taskcluster
        - tools/moztreedocs
        - mozbuild/vendor
    testing_doc:
        - testing/automated-testing
        - testing/treeherder-try
        - testing/sheriffed-intermittents
        - testing/tests-for-new-config
        - testing/intermittent
        - testing/testing-policy
        - testing/ci-configs
        - testing/browser-chrome
        - testing/chrome-tests
        - testing/marionette
        - testing/geckodriver
        - testing/test-verification
        - testing/webrender
        - testing/mochitest-plain
        - testing/xpcshell
        - testing/tps
        - web-platform
        - gtest
        - tools/fuzzing
        - tools/sanitizer
        - testing/perfdocs
        - tools/code-coverage
        - testing-rust-code
    release_doc:
        - update-infrastructure
        - tools/update-verify
    l10n_doc:
        - intl
        - l10n
    python_doc:
        - mozbase
        - python
    fennec_doc:
        - mobile/android
    metrics_doc:
        - metrics

redirects:
    browser/browser: browser
    contributing/how_to_contribute_firefox.html: contributing/contribution_quickref.html
    contributing/artifact_builds.html: contributing/build/artifact_builds.html
    contributing/linux_build.html: setup/linux_build.html
    contributing/build/linux_build.html: setup/linux_build.html
    contributing/mercurial.html: contributing/vcs/mercurial.html
    contributing/mercurial_bundles.html: contributing/vcs/mercurial_bundles.html
    contributing/vscode.html: contributing/editors/vscode.html
    dom/dom: dom
    layout/layout: layout
    gfx/gfx: gfx
    intl/l10n/l10n: l10n
    ipc/ipc: ipc
    modules/libpref/libpref: modules/libpref
    python/mach: mach
    python/python: python
    setup/getting_set_up.html: contributing/contributing_to_mozilla.html
    taskcluster/taskcluster: taskcluster
    testing/geckodriver/geckodriver: testing/geckodriver
    testing/marionette/marionette: testing/marionette
    toolkit/components/telemetry/telemetry: toolkit/components/telemetry
    tools/compare-locales/index.html: build/buildsystem/locales.html
    tools/docs/index.html: tools/moztreedocs/index.html
    tools/docs/contribute/how_to_contribute_firefox.html: contributing/how_to_contribute_firefox.html
    tools/docs/contribute/directory_structure.html: contributing/directory_structure.html
    tools/lint: code-quality/lint
    tools/lint/coding-style: code-quality/coding-style
    tools/static-analysis/index.html: code-quality/static-analysis.html

# Please do not add more exceptions to these warnings. Generally they should be
# fixable. If you need help please ask in the firefox-source-docs channel on Matrix.
allowed_warnings:
    # General warnings that need consideration/fixing.
    - "WARNING: document isn't included in any toctree"
    - "WARNING: duplicate label"
    - "WARNING: local id not found in doc"
    - "WARNING: 'myst' cross-reference target not found"
    - "WARNING: Lexing literal_block"
    - "WARNING: dot command 'dot' cannot be run \\(needed for graphviz output\\)"
    # Specific warnings allowed when the allow list was created.
    - "accessible/HCMMediaQueries\\.md:.*: WARNING: Lexing literal_block"
    - "bug-pipeline\\.rst:.*: WARNING: Duplicate explicit target name"
    - "devtools-user/web_console/remoting/index\\.rst:.*: WARNING: Duplicate explicit target name"
    - "dom/navigation/BrowsingContext\\.rst:.*: WARNING: Duplicate explicit target name"
    - "ipc/ipdl\\.rst:.*: WARNING: Duplicate explicit target name"
    - "ipc/processes\\.rst:.*: WARNING: Duplicate explicit target name"
    - "js/Debugger/Debugger\\.md:.*: WARNING: Duplicate reference definition"
    - "l10n/migrations/localizations\\.rst:.* ERROR: Anonymous hyperlink mismatch"
    - "mobile/android/geckoview/contributor/geckoview-architecture\\.rst:.*: WARNING: Duplicate explicit target name"
    - "networking/http/prioritization\\.md:.*: ERROR: At least one body element must separate transitions"
    - "networking/http/prioritization\\.md:.*: ERROR: Document may not end with a transition"
    - "overview/index\\.rst:.*: WARNING: toctree contains reference to nonexisting document 'mobile/android/overview'"
    - "testing/automated-testing/manifest-sandbox\\.rst:.*: WARNING: download file not readable"
    - "UITour-lib.Mozilla.UITour.* WARNING: duplicate class description of Mozilla.UITour"
    - "mobile/android/shared/android/device_testing\\.md:.*: WARNING: Pygments lexer name"
    - "widget/windows/windows-pointing-device/index.rst:229: WARNING: image file not readable"
    # Unknown document warnings
    - "devtools-user/3d_view/index\\.rst:.*: WARNING: unknown document"
    - "devtools-user/debugger-api/index\\.rst:.*: WARNING: unknown document"
    - "devtools-user/memory/aggregate_view/index\\.rst:.*: WARNING: unknown document"
    - "devtools-user/migrating_from_firebug/index\\.rst:.*: WARNING: unknown document"
    - "devtools-user/network_monitor/index\\.rst:.*: WARNING: unknown document"
    - "devtools-user/tips/index\\.rst:.*: WARNING: unknown document"
    - "devtools-user/tools_toolbox/index\\.rst:.*: WARNING: unknown document"
    # Undefined label warnings.
    - "code-quality/.*\\.rst:.*: WARNING: undefined label"
    - "contributing/.*\\.rst:.*: WARNING: undefined label"
    - "crash-reporting/index\\.rst:.*: WARNING: undefined label"
    - "dom/navigation/nav_replace\\.rst:.*: WARNING: undefined label"
    - "devtools-user/page_inspector/how_to/work_with_animations/index.rst:.*: WARNING: undefined label"
    - "js/build\\.rst:.*: WARNING: undefined label"
    - "layout/Reftest\\.rst:.*: WARNING: undefined label"
    - "mots/index.rst:.*: WARNING: undefined label"
    - "nspr/.* WARNING: undefined label"
    - "overview/gecko\\.rst:.*: WARNING: undefined label"
    - "setup/configuring_build_options\\.rst:.*: WARNING: undefined label"
    - "setup/windows_build\\.rst:.*: WARNING: undefined label"
    - "taskcluster/release-promotion-action\\.rst:.*: WARNING: undefined label"
    - "toolkit/components/messaging-system/docs/index\\.rst:.*: WARNING: undefined label"
    - "toolkit/components/telemetry/collection/events\\.rst:.*: WARNING: undefined label"
    - "toolkit/mozapps/extensions/addon-manager/AMRemoteSettings-overview\\.rst:.*: WARNING: undefined label"
    - "tools/fuzzing/fuzzing_interface\\.rst:.*: WARNING: undefined label"
    - "tools/try/selectors/chooser\\.rst:.*: WARNING: undefined label"
    - "tools/try/tasks\\.rst:.*: WARNING: undefined label"
    # Bug 1915274 - Clean up documentation warnings in NSS
    - "security/nss/.* WARNING: undefined label"
    # Various python issues
    - "\\.py:.*: ERROR: Unexpected indentation."
    - "\\.py:.* WARNING: duplicate object description"
    - "docstring of mozbuild.vendor.moz_yaml.VALID_SOURCE_HOSTS:.*: ERROR: Unexpected indentation."
    - "docstring of mozbuild.vendor.moz_yaml.VALID_SOURCE_HOSTS:.*: WARNING: Inline emphasis start-string without end-string"
    - "process_define_file:.*: WARNING: Inline emphasis start-string without end-string"
    - "docstring of marionette_driver.*: WARNING: Field list ends without a blank line"
    - "missing attribute .* in object mozprocess.ProcessHandlerMixin"
    - "WARNING: autodoc: failed to import module"
    - "WARNING: invalid signature for automodule \\('mozbuild.action.xpidl-process'\\)"
    - "WARNING: don't know which module to import for autodocumenting"
    # This file has various warnings that need investigation.
    - "python/mozbuild/mozbuild/frontend/context\\.py"
    # mozbuild.sphinx extension warnings.
    - "WARNING: the mozbuild.sphinx extension does not declare"
    - "WARNING: doing serial read"
